import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdThirdPartyUser } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-28 12:57
 */
interface AdThirdPartyUserCU extends ConditionUtil<AdThirdPartyUserCU> {
    ID: FieldUtil<AdThirdPartyUserCU>;
    USERNAME: FieldUtil<AdThirdPartyUserCU>;
    KEY_OFFSET: FieldUtil<AdThirdPartyUserCU>;
    CREATE_TIME: FieldUtil<AdThirdPartyUserCU>;
    UPDATE_TIME: FieldUtil<AdThirdPartyUserCU>;
    NICKNAME: FieldUtil<AdThirdPartyUserCU>;
    PWD: FieldUtil<AdThirdPartyUserCU>;
    CODE_VALUE: FieldUtil<AdThirdPartyUserCU>;
    KEY_VALUE: FieldUtil<AdThirdPartyUserCU>;
    USER_STATUS: FieldUtil<AdThirdPartyUserCU>;
}
declare class AdThirdPartyUserMU extends TableUtilImpl<AdThirdPartyUserCU, AdThirdPartyUser> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdThirdPartyUserCU;
    static get ID(): FieldUtil<AdThirdPartyUserCU>;
    static get USERNAME(): FieldUtil<AdThirdPartyUserCU>;
    static get KEY_OFFSET(): FieldUtil<AdThirdPartyUserCU>;
    static get CREATE_TIME(): FieldUtil<AdThirdPartyUserCU>;
    static get UPDATE_TIME(): FieldUtil<AdThirdPartyUserCU>;
    static get NICKNAME(): FieldUtil<AdThirdPartyUserCU>;
    static get PWD(): FieldUtil<AdThirdPartyUserCU>;
    static get CODE_VALUE(): FieldUtil<AdThirdPartyUserCU>;
    static get KEY_VALUE(): FieldUtil<AdThirdPartyUserCU>;
    static get USER_STATUS(): FieldUtil<AdThirdPartyUserCU>;
    get ID(): FieldUtil<AdThirdPartyUserCU>;
    get USERNAME(): FieldUtil<AdThirdPartyUserCU>;
    get KEY_OFFSET(): FieldUtil<AdThirdPartyUserCU>;
    get CREATE_TIME(): FieldUtil<AdThirdPartyUserCU>;
    get UPDATE_TIME(): FieldUtil<AdThirdPartyUserCU>;
    get NICKNAME(): FieldUtil<AdThirdPartyUserCU>;
    get PWD(): FieldUtil<AdThirdPartyUserCU>;
    get CODE_VALUE(): FieldUtil<AdThirdPartyUserCU>;
    get KEY_VALUE(): FieldUtil<AdThirdPartyUserCU>;
    get USER_STATUS(): FieldUtil<AdThirdPartyUserCU>;
}
export { AdThirdPartyUserMU, AdThirdPartyUserCU };
